import { TextField } from '@dvn/core/doldurma/src/fields/text';
import { EventEmitter } from '../../../../../../../../stencil-public-runtime';
import { HTMLStencilElement } from '../../../../../../../../stencil-public-runtime';
export declare class DvnFieldInputCellText {
  internalValue: string;
  disabled?: boolean;
  field: TextField;
  errors?: any[];
  value?: string;
  cellFormCancel: EventEmitter;
  cellFormSubmit: EventEmitter;
  el: HTMLStencilElement;
  focus(): Promise<void>;
  handleKeyDown(e: KeyboardEvent): void;
  componentWillLoad(): void;
  render(): any;
}
